<template>
<v-app id="app">
  <top-menu class="d-print-none"></top-menu>
  <v-main>
    <router-view></router-view>
  </v-main>
  <common-footer class="hidden-xs-only"></common-footer>
</v-app>
</template>

<script>
import Vue from 'vue';

//
// Sentry
//
import * as Sentry from '@sentry/browser';
import * as Integrations from '@sentry/integrations';
if (process.env.NODE_ENV === 'production' &&
    process.env.VUE_APP_SENTRY_DSN) {
  Sentry.init({
    // environment: 'dev',
    release: `pashinin@${process.env.VUE_APP_VERSION}`,
    dsn: process.env.VUE_APP_SENTRY_DSN,
    integrations: [new Integrations.Vue({ Vue, attachProps: true })],
  });
}

export default Vue.extend({
  name: 'App',
  components: {
    'common-footer': () => import(
      /* webpackChunkName: "Footer" */ '@/common/CommonFooter.vue'),
    'top-menu': () => import(
      /* webpackChunkName: "TopMenu" */ '@/common/TopMenu.vue'),
  },
});
</script>
